Summary:	GTK Resize and Rename Images GUI
Name:		gtk-rarig
Version:	0.1.5
Release:	%mkrel 2
License:	GPLv2
Group:		Graphics
URL:		http://code.google.com/p/rarig
Source:		%{name}_source-code_v.%{version}.tar.xz
Requires:	python >= 2.6
Requires:	pygtk2.0 >= 2.16
Requires:	python-imaging
Requires:	gnome-python-gconf
BuildRequires:	python >= 2.6
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2


%description
GTK Resize and Rename Images GUI

%prep
%setup -c -n %{name}-%{version}

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/%{name}
install -m 755 %{name} %{buildroot}%{_bindir}


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Name=%{name}
Comment=%{summary}
Icon=graphics_section.png
Exec=%{_bindir}/%{name}
Categories=Graphics;X-MandrivaLinux-Multimedia-Graphics;
Terminal=false
EOF


%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat May 07 2011 Texstar <texstar at gmail.com> 0.1.5-2pclos2011
- fix specfile name
- fix menu entry X-MandrivaLinux-Multimedia-Graphics
- fix icon menu entry
- fix tar.xz source tarball
- add glibc/libstdc++6

* Sun Mar 20 2011 maik3531 <maik3531 at yahoo.de> 0.1.5-1pclos2010
- Initial release

